Arch BuildingPart

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch BuildingPart and the translation is 15% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Arch Floor.svg Floor
Next: Building Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Arch BuildingPart

Menu location
Arch → BuildingPart
Workbenches
Arch
Default shortcut
Introduced in version
-
See also
Arch Building, Arch Floor

Descripción

El objetivo de BuildingPart es reemplazar el Arch Floor con una versión más capaz que se pueda usar no solo para crear Piso / Storey / Levels, sino también para todo tipo de situaciones en las que se deben agrupar diferentes objetos Arch / BIM y ese grupo podría necesitar ser manejado como un objeto o replicado.

Utilización

  1. Optionally, select one or more objects to be included in your new Building Part.
  2. Press the Arch BuildingPart.svg Arch BuildingPart button.

Options

  • After creating a BuildingPart, you can add more objects to it by dragging and dropping them in the Tree View or by using the Arch Add.svg Arch Add tool.
  • You can remove objects from a BuildingPart by dragging and dropping them out of the Tree View or by using the Arch Remove.svg Arch Remove tool.
  • By double-clicking the BuildingPart object in the tree view, the Working Plane will be set to its location, and the BuildingPart will become active, which means that new objects will be added automatically to it. Double-clicking the BuildingPart again will deactivate it and set the working plane back to its previous position.
  • The BuildingPart can display a mark in the 3D view with a label and level indication.
  • When a BuildingPart is moved/rotated, all its children that either have no DATAMove With Host property, or have it turned on, will move/rotate together.
  • Building Parts can be Draft Cloned.
  • Building Parts can take any IFC type. Its IFC Role property determines its use. If you set it to Building Storey it will behave as a level. If you set it to Building it behaves as a building, and if you set it to Element Assembly it behaves as an assembly. Its icon will change to reflect this setting, but other than that it has no other impact in FreeCAD. However, being exported to IFC as one or another type can have an impact in other BIM applications.

Properties

Data

  • DATAHeight: The height of this object, and of its children objects. The children objects could be for example walls. Each wall's height must be set to 0 (zero), so the height property of the BuildingPart propagates to the objects inside of it.
  • DATALevelOffset: The level of the (0,0,0) point of this level
  • DATAArea: The computed floor area of this floor
  • DATAIfcRole: The role of this object
  • DATADescription: An optional description for this component
  • DATATag: An optional tag for this component
  • DATAIfcAttributes: Custom IFC properties and attributes

View

  • VIEWLineWidth: The line width of this object
  • VIEWOverrideUnit: An optional unit to express levels
  • VIEWDisplayOffset: A transformation to apply to the level mark
  • VIEWShowLevel: If true, show the level
  • VIEWShowUnit: If true, show the unit on the level tag
  • VIEWSetWorkingPlane: If true, when activated, the working plane will automatically adapt to this Building Part
  • VIEWOriginOffset: If true, when activated, Display offset will affect the origin mark too
  • VIEWShowLabel: If true, when activated, the object's label is displayed
  • VIEWFontName: The font to be used for texts
  • VIEWFontSize: The font size of texts
  • VIEWRestoreView: If set, the view stored in this object will be restored on double-click
  • VIEWDiffuseColor: The individual face colors

introduced in version 0.19

  • VIEWChildrenOverride: If set, the settings below will affect the children of this Building Part
  • VIEWChildrenLineWidth: The line width to apply to the children of this Building Part
  • VIEWChildrenLineColor: The line color to apply to the children of this Building Part
  • VIEWChildrenShapeColor: The shape color to apply to the children of this Building Part
  • VIEWChildrenTransparency: The transparency to apply to the children of this Building Part

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The BuildingPart tool can be used in macros and from the Python console by using the following function:

BuildingPart = makeBuildingPart(objectslist=None)
  • Creates a BuildingPart object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()